%define upstream_name    Unicode-Stringprep
%define upstream_version 1.104

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Prepare Internationalized Strings (RFC3454)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Unicode::Normalize) >= 1.0.0
BuildArch:  noarch

%description
This module implements the _stringprep_ framework for preparing Unicode
text strings in order to increase the likelihood that string input and
string comparison work in ways that make sense for typical users throughout
the world. The _stringprep_ protocol is useful for protocol identifier
values, company and personal names, internationalized domain names, and
other text strings.

The _stringprep_ framework does not specify how protocols should prepare
text strings. Protocols must create profiles of stringprep in order to
fully specify the processing options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.104.0-3.mga4
+ Revision: 515865
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.104.0-2.mga3
+ Revision: 374619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 1.104.0-1.mga2
+ Revision: 179932
- update to 1.104

* Wed Jun 15 2011 jquelin <jquelin> 1.103.0-1.mga2
+ Revision: 107828
- imported package perl-Unicode-Stringprep


* Wed Jun 15 2011 cpan2dist 1.103-1mga
- initial mageia release, generated with cpan2dist
